#
# spec file for package geolite2legacy
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           geolite2legacy
Version:        0+git20210326.05733c4
Release:        2.1
Summary:        GeoLite2 (CSV) to Legacy format converter
License:        MIT
URL:            https://github.com/sherpya/geolite2legacy
Source:         %{name}-%{version}.tar.xz
BuildArch:      noarch

%description
Script to convert the GeoLite2 CSV database to Legacy GeoIP
format. Note that GeoIP is deprecated by upstream and should be
replaced by GeoLite2.

%prep
%autosetup
sed -i -e 's/env python3\?/python3/' *.py

%build

%install
mkdir -p %{buildroot}%{_datadir}/geolite2legacy %{buildroot}%{_bindir}
install -m 755 geolite2legacy.py geoname2fips.py %{buildroot}%{_datadir}/geolite2legacy
install -m 644 geoname2fips.csv pygeoip_const.py %{buildroot}%{_datadir}/geolite2legacy
ln -s %{_datadir}/geolite2legacy/geolite2legacy.py %{buildroot}%{_bindir}/geolite2legacy

%files
%license LICENSE
%doc README.md
%{_bindir}/geolite2legacy
%{_datadir}/geolite2legacy

%changelog
* Wed Mar  5 2025 Steve Kowalik <steven.kowalik@suse.com>
- Drop Requires on python3-ipaddr, only required for Python < 3.3.
* Mon Aug 22 2022 valentin.lefebvre@suse.com
- Update to version 0+git20210326.05733c4:
  * cleanup
  * conditional ipaddr only for python < 3.3
  * Use correct docker image name on README
  * fix ASN
  * add python3 compatibility using built-in module ipaddress
  * use custom comment in country file
  * geolite2legacy: pep8
  * geoname2fips: added tipical filenames to help
  * geoname2fips: some country names changed after 20200505
  * geoname2fips: fixed Vlaams-Brabant spelling
  * Dockerfile to run the converter inside Docker container
  * Use realpath to determine fips file location
  * Automatically determine output file name
- remove patches fixed in upstream
  * 0001-Automatically-determine-output-file-name.patch
  * 0001-Use-realpath-to-determine-fips-file-location.patch
* Mon Mar 16 2020 pgajdos@suse.com
- require python3-ipaddr
* Fri Jan  3 2020 lnussel@suse.de
- Update to version 0+git20200101.56d8a4f:
  * silence pycharm warning
  * add version in comment using dirname inside zip
  * use geoname2fips.csv in script dir if not specified
  * remap country code from AS to AP (GH-6)
  * correct city v6 database version
* Mon Dec 30 2019 Ludwig Nussel <lnussel@suse.de>
- initial package
